# Get service principal details

Launch stage: Public Preview

`GET /api/2.0/preview/scim/v2/ServicePrincipals/{id}`

Gets the details for a single service principal define in the Databricks workspace.

API scopes: scim

## Path parameters

- `id` (string, int64, required)
  Unique ID for a service principal in the Databricks workspace.

## Returns

Returns the ServicePrincipal object.

## Response

```json
{
  "active": true,
  "applicationId": "string",
  "displayName": "etl-service",
  "entitlements": [
    {
      "display": "string",
      "primary": true,
      "$ref": "string",
      "type": "string",
      "value": "string"
    }
  ],
  "externalId": "string",
  "groups": [
    {
      "display": "string",
      "primary": true,
      "$ref": "string",
      "type": "string",
      "value": "string"
    }
  ],
  "id": "string",
  "roles": [
    {
      "display": "string",
      "primary": true,
      "$ref": "string",
      "type": "string",
      "value": "string"
    }
  ],
  "schemas": [
    "urn:ietf:params:scim:schemas:core:2.0:ServicePrincipal"
  ]
}
```

